set(LUASANDBOX_VERSION x.y.z)


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was luasandboxConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(LUASANDBOX_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")
set_and_check(LUASANDBOX_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib/powerpc64le-linux-gnu")

FIND_LIBRARY(LUASANDBOX_UTIL_LIBRARY    NAMES luasandboxutil    PATHS ${LUASANDBOX_LIB_DIR})
FIND_LIBRARY(LUASANDBOX_LIBRARY         NAMES luasandbox        PATHS ${LUASANDBOX_LIB_DIR})
FIND_LIBRARY(LUASANDBOX_HEKA_LIBRARY    NAMES luasandboxheka    PATHS ${LUASANDBOX_LIB_DIR})
FIND_LIBRARY(LUASANDBOX_TEST_LIBRARY    NAMES luasandboxtest    PATHS ${LUASANDBOX_LIB_DIR})

set(LUASANDBOX_LIBRARIES ${LUASANDBOX_HEKA_LIBRARY} ${LUASANDBOX_LIBRARY} ${LUASANDBOX_UTIL_LIBRARY})
